本文介绍如何安装函数计算PHP SDK。

环境准备

  • 安装PHP。更多信息,请参见安装PHP
    说明 安装完成后,您可以执行命令 php -v查看PHP语言版本。
  • 安装Composer。更多信息,请参见安装Composer

安装SDK

您可以通过以下方式安装PHP SDK。

  • 执行以下命令直接安装PHP SDK。
    composer require aliyunfc/fc-php-sdk
  • 安装PHP SDK依赖,并将依赖导入PHP代码。
    1. composer.json文件中声明函数计算PHP SDK的依赖。
       "require": {
            "aliyunfc/fc-php-sdk": "~1.2"
        }
    2. 执行以下命令安装依赖。
      composer install --no-dev
    3. 将依赖项导入PHP代码。
      require_once __DIR__ . '/vendor/autoload.php';